Since we don't `set -e` in state files, applying each state will
always succeed unless the last instruction in the state fails.
Make this uniform by always succeeding in applying the state.
While at it, enable bash debugging logs, for better readability
of deploy log files.
Change-Id: I3cf4886f6d73c6fd1380df1a4e1413334bec1701
Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
notify "STATE: ${state}\n" 2
# shellcheck disable=SC2086,2029
ssh ${SSH_OPTS} "ubuntu@${SALT_MASTER}" \
- sudo "/root/fuel/mcp/config/states/${state}"
+ sudo "/root/fuel/mcp/config/states/${state} || true"
done
popd > /dev/null
+#!/bin/bash
+set -x
+
salt -I 'nova:compute' system.reboot
while true; do salt -I 'nova:compute' test.ping | fgrep -q 'Not connected' || break; done
salt -I 'nova:compute' state.sls linux.network.dpdk
#!/bin/bash
+set -x
+
function wait_for() {
local cmdstr=$@
local total_attempts=360
#!/bin/bash
+set -x
# Determine public network based on external IPs from compute node
# NOTE: mask currently hardcoded to /24
+#!/bin/bash
+set -x
+
salt -I 'neutron:compute' state.sls neutron
+#!/bin/bash
+set -x
+
salt -I 'opendaylight:server' state.sls opendaylight
salt -I 'opendaylight:client' state.sls opendaylight.client
salt -I 'neutron:server' state.sls opendaylight.client
+#!/bin/bash
+set -x
+
salt -I 'rabbitmq:server' state.sls rabbitmq
salt -I 'rabbitmq:server' cmd.run "rabbitmqctl status"
+#!/bin/bash
+set -x
+
salt -I 'keepalived:cluster' state.sls keepalived -b 1
salt -I 'keepalived:cluster' pillar.get keepalived:cluster:instance:VIP:address